Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.security
Interface TlsIndirectTrustStore

All Known Subinterfaces:
  TlsDirectTrustStore

All Known Implementing Classes:
  AbstractTlsRetrieveMailConnector, AjaxConnector, HttpsConnector, HttpsPollingConnector, ImapsConnector, JettyHttpsConnector, Pop3sConnector, SmtpsConnector, SslConnector, TlsConfiguration, TlsConnector

    public interface TlsIndirectTrustStore

Configure indirect trust stores. TLS/SSL connections are made to trusted systems - the public certificates of trusted systems are store in a keystore (called a trust store) and used to verify that the connection made to a remote system "really is" the expected identity.

The information specified in this interface may be used to configure a trust store directly, as part of `TlsDirectKeyStore`, or it may be stored as property values and used later, or both. It may therefore be specific to a single connector, or global to all connectors made by that protocol, or even (in the case of the SSL transport) become a global default value. For more information see the documentation for the connector or protocol in question. The comments in `TlsConfiguration` may also be useful.

Method Summary
`String` | `getTrustStore()`
`String` | `getTrustStorePassword()`
`void` | `setTrustStore(String name)`
`void` | `setTrustStorePassword(String trustStorePassword)`

Method Detail

### getTrustStore

    String getTrustStore()

  Returns:
    The location (resolved relative to the current classpath and file system, if possible) of the keystore that contains public certificates of trusted servers.

### setTrustStore

    void setTrustStore(String name)
                       throws IOException

  Parameters:
    `name` - The location of the keystore that contains public certificates of trusted servers.
  Throws:
    `IOException` - If the location cannot be resolved via the file system or classpath

### getTrustStorePassword

    String getTrustStorePassword()

  Returns:
    The password used to protected the trust store defined in `getTrustStore()`

### setTrustStorePassword

    void setTrustStorePassword(String trustStorePassword)

  Parameters:
    `trustStorePassword` - The password used to protected the trust store defined in `setTrustStore(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.